﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace LocalizationPreparings.Text
{
    internal static class Prepare
    {
        private const string FirstName = "First Name";
        private const string LastName = "Last Name";
        private const string Salary = "Salary";

        public static IEnumerable<LocalizeMeShared.Data.ResourceData> GetData()
        {
            List<LocalizeMeShared.Data.ResourceData> locListOfData = new List<LocalizeMeShared.Data.ResourceData>();
            locListOfData.AddRange(GetLocalizedFirstNames());
            locListOfData.AddRange(GetLocalizedLastNames());
            locListOfData.AddRange(GetLocalizedSalary());


            return locListOfData.AsEnumerable();
        }


        private static List<LocalizeMeShared.Data.ResourceData> GetLocalizedFirstNames()
        {
            List<LocalizeMeShared.Data.ResourceData> locResultOfFirstNames = new List<LocalizeMeShared.Data.ResourceData>(
                );
            locResultOfFirstNames.Add(
                new LocalizeMeShared.Data.ResourceData()
                {
                    Name = FirstName,
                    Comment = "This property belongs to the first name of the customer",
                    CultureCodeName = LocalizeMeShared.Enums.TypesOfCulture.de_DE,
                    IsInvariant = true,
                    Value = "Vorname"
                });
            locResultOfFirstNames.Add(
                new LocalizeMeShared.Data.ResourceData()
                {
                    Name = FirstName,
                    CultureCodeName = LocalizeMeShared.Enums.TypesOfCulture.en_GB,
                    Value = "First name"
                });
            locResultOfFirstNames.Add(
                new LocalizeMeShared.Data.ResourceData()
                {
                    Name = FirstName,
                    CultureCodeName = LocalizeMeShared.Enums.TypesOfCulture.ar_AE,
                    Value = "الاسم الأول"
                });


            return locResultOfFirstNames;
        }
        private static List<LocalizeMeShared.Data.ResourceData> GetLocalizedLastNames()
        {
            List<LocalizeMeShared.Data.ResourceData> locResultOfFirstNames = new List<LocalizeMeShared.Data.ResourceData>(
                );
            locResultOfFirstNames.Add(
                new LocalizeMeShared.Data.ResourceData()
                {
                    Name = LastName,
                    Comment = "This property belongs to the last name of the customer",
                    CultureCodeName = LocalizeMeShared.Enums.TypesOfCulture.de_DE,
                    IsInvariant = true,
                    Value = "Nachname"
                });
            locResultOfFirstNames.Add(
                new LocalizeMeShared.Data.ResourceData()
                {
                    Name = LastName,
                    CultureCodeName = LocalizeMeShared.Enums.TypesOfCulture.en_GB,
                    Value = "Last name"
                });
            locResultOfFirstNames.Add(
                new LocalizeMeShared.Data.ResourceData()
                {
                    Name = LastName,
                    CultureCodeName = LocalizeMeShared.Enums.TypesOfCulture.ar_AE,
                    Value = "الكنية"
                });


            return locResultOfFirstNames;
        }

        private static List<LocalizeMeShared.Data.ResourceData> GetLocalizedSalary()
        {
            List<LocalizeMeShared.Data.ResourceData> locResultOfFirstNames = new List<LocalizeMeShared.Data.ResourceData>(
                );
            locResultOfFirstNames.Add(
                new LocalizeMeShared.Data.ResourceData()
                {
                    Name = Salary,
                    Comment = "This property belongs to the salary of the customer",
                    CultureCodeName = LocalizeMeShared.Enums.TypesOfCulture.de_DE,
                    IsInvariant = true,
                    Value = "Gehalt"
                });
            locResultOfFirstNames.Add(
                new LocalizeMeShared.Data.ResourceData()
                {
                    Name = Salary,
                    CultureCodeName = LocalizeMeShared.Enums.TypesOfCulture.en_GB,
                    Value = "Salary"
                });
            locResultOfFirstNames.Add(
                new LocalizeMeShared.Data.ResourceData()
                {
                    Name = Salary,
                    CultureCodeName = LocalizeMeShared.Enums.TypesOfCulture.ar_AE,
                    Value = "راتب"
                });


            return locResultOfFirstNames;
        }


    }
}
