﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace LocalizationPreparings.Tips
{
    internal static class Prepare
    {
        private const string FirstNameTip = "First Name Tip";
        private const string LastNameTip = "Last Name Tip";
        private const string SalaryTip = "Salary Tip";

        public static IEnumerable<LocalizeMeShared.Data.ResourceData> GetData()
        {
            List<LocalizeMeShared.Data.ResourceData> locListOfData = new List<LocalizeMeShared.Data.ResourceData>();
            locListOfData.AddRange(GetLocalizedFirstNameTips());
            locListOfData.AddRange(GetLocalizedLastNameTips());
            locListOfData.AddRange(GetLocalizedSalaryTips());

            return locListOfData.AsEnumerable();
        }


        private static List<LocalizeMeShared.Data.ResourceData> GetLocalizedFirstNameTips()
        {
            List<LocalizeMeShared.Data.ResourceData> locResultOfFirstNames = new List<LocalizeMeShared.Data.ResourceData>(
                );
            locResultOfFirstNames.Add(
                new LocalizeMeShared.Data.ResourceData()
                {
                    Name = FirstNameTip,
                    Comment = "This property belongs to the tip for explanation of field first name of the customer",
                    CultureCodeName = LocalizeMeShared.Enums.TypesOfCulture.de_DE,
                    IsInvariant = true,
                    Value = "Bitte geben Sie in diesem Feld den Vornamen des Kunden ein"
                });
            locResultOfFirstNames.Add(
                new LocalizeMeShared.Data.ResourceData()
                {
                    Name = FirstNameTip,
                    CultureCodeName = LocalizeMeShared.Enums.TypesOfCulture.en_GB,
                    Value = "Please enter the first name of the customer"
                });
            locResultOfFirstNames.Add(
                new LocalizeMeShared.Data.ResourceData()
                {
                    Name = FirstNameTip,
                    CultureCodeName = LocalizeMeShared.Enums.TypesOfCulture.ar_AE,
                    Value = "الرجاء إدخال الاسم الأول للعميل في هذا الحقل"
                });


            return locResultOfFirstNames;
        }
        private static List<LocalizeMeShared.Data.ResourceData> GetLocalizedLastNameTips()
        {
            List<LocalizeMeShared.Data.ResourceData> locResultOfFirstNames = new List<LocalizeMeShared.Data.ResourceData>(
                );
            locResultOfFirstNames.Add(
                new LocalizeMeShared.Data.ResourceData()
                {
                    Name = LastNameTip,
                    Comment = "This property belongs to the tip for explanation of field last name of the customer",
                    CultureCodeName = LocalizeMeShared.Enums.TypesOfCulture.de_DE,
                    IsInvariant = true,
                    Value = "Bitte geben Sie in diesem Feld den Nachnamen des Kunden ein"
                });
            locResultOfFirstNames.Add(
                new LocalizeMeShared.Data.ResourceData()
                {
                    Name = LastNameTip,
                    CultureCodeName = LocalizeMeShared.Enums.TypesOfCulture.en_GB,
                    Value = "Please enter the last name of the customer"
                });
            locResultOfFirstNames.Add(
                new LocalizeMeShared.Data.ResourceData()
                {
                    Name = LastNameTip,
                    CultureCodeName = LocalizeMeShared.Enums.TypesOfCulture.ar_AE,
                    Value = "الرجاء إدخال الاسم الأخير للعميل في هذا الحقل"
                });


            return locResultOfFirstNames;
        }

        private static List<LocalizeMeShared.Data.ResourceData> GetLocalizedSalaryTips()
        {
            List<LocalizeMeShared.Data.ResourceData> locResultOfFirstNames = new List<LocalizeMeShared.Data.ResourceData>(
                );
            locResultOfFirstNames.Add(
                new LocalizeMeShared.Data.ResourceData()
                {
                    Name = SalaryTip,
                    Comment = "This property belongs to the tip for explanation of field salary of the customer",
                    CultureCodeName = LocalizeMeShared.Enums.TypesOfCulture.de_DE,
                    IsInvariant = true,
                    Value = "Wieviel Gehalt verdient Ihr Kunde?"
                });
            locResultOfFirstNames.Add(
                new LocalizeMeShared.Data.ResourceData()
                {
                    Name = SalaryTip,
                    CultureCodeName = LocalizeMeShared.Enums.TypesOfCulture.en_GB,
                    Value = "What's the salary of your customer?"
                });
            locResultOfFirstNames.Add(
                new LocalizeMeShared.Data.ResourceData()
                {
                    Name = SalaryTip,
                    CultureCodeName = LocalizeMeShared.Enums.TypesOfCulture.ar_AE,
                    Value = "كم يكسب عميلك؟"
                });


            return locResultOfFirstNames;
        }


    }
}
